summaryrefslogtreecommitdiff
path: root/round-robin.sh
diff options
context:
space:
mode:
authorMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2020-06-10 15:21:49 +0000
committerMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2020-06-19 11:07:29 +0000
commit997622f0717c9dcf36e4b4cf2b514e1650d4134e (patch)
tree6facbabfef59cb256bc6edc32e79e6bd31cc797a /round-robin.sh
parentbd2d2e766119a08ba5aaf6e2468af39cca86d5c0 (diff)
tcwg_gnu-build.sh: Add *-build_cross and *-check_cross configurations
Change-Id: Ic648660f11602ebf82a34bd95469ba1018592287
Diffstat (limited to 'round-robin.sh')
-rw-r--r--round-robin.sh37
1 files changed, 20 insertions, 17 deletions
diff --git a/round-robin.sh b/round-robin.sh
index 1a8ede27..25256ec5 100644
--- a/round-robin.sh
+++ b/round-robin.sh
@@ -330,25 +330,28 @@ build_abe ()
action="$action --check $project"
fi
- # Use our custom sources for everything, but kernel headers.
local custom_abe_src_opt=""
local git_dir="$project"
- if [ x"$component" != x"linux" ]; then
- git_dir="$git_dir.git"
- custom_abe_src_opt="$project=http://git.l.o/$git_dir~master --disable update"
-
- if ! $check; then
- clone_repo $project
-
- # Don't use ABE's repo clone functions and setup abe/snapshots/
- # directory to have the right entries.
- local git_path
- git_path="abe/snapshots/$git_dir"
- rm -rf $git_path $git_path~master
- ln -s "$(pwd)/$project" $git_path
- ln -s "$(pwd)/$project" $git_path~master
- fi
- fi
+ case "$component" in
+ # Use our custom sources for everything, but kernel headers and dejagnu.
+ linux|dejagnu) ;;
+ *)
+ git_dir="$git_dir.git"
+ custom_abe_src_opt="$project=http://git.l.o/$git_dir~master --disable update"
+
+ if ! $check; then
+ clone_repo $project
+
+ # Don't use ABE's repo clone functions and setup abe/snapshots/
+ # directory to have the right entries.
+ local git_path
+ git_path="abe/snapshots/$git_dir"
+ rm -rf $git_path $git_path~master
+ ln -s "$(pwd)/$project" $git_path
+ ln -s "$(pwd)/$project" $git_path~master
+ fi
+ ;;
+ esac
cd abe